# $Revision: 1.15 $, $Date: 2006/09/06 20:56:48 $
%define	nspr_version	4.6
%define	nspr_evr	1:%{nspr_version}
%define	nss_version	3.11
%define	nss_evr		1:%{nss_version}
%define	svrcore_version	4.0.2
%define	mozldap_version	5.17
Summary:	Mozilla LDAP C SDK
Summary(pl):	Biblioteki Mozilla LDAP C SDK
Name:		mozldap
Version:	5.17
Release:	2
License:	MPL v1.1 or GPL v2+ or LGPL v2.1+
Group:		Libraries
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/directory/c-sdk/releases/v%{version}/src/ldapcsdk-5.1.7.tar.gz
# Source0-md5:	66ddb43e984c0df67e21afb4dc6977b1
URL:		http://www.mozilla.org/directory/csdk.html
BuildRequires:	gawk
BuildRequires:	libstdc++-devel
BuildRequires:	nspr-devel >= %{nspr_evr}
BuildRequires:	nss-devel >= %{nss_evr}
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	svrcore-devel >= %{svrcore_version}
Requires:	nspr >= %{nspr_evr}
Requires:	nss >= %{nss_evr}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libldap50.so libprldap50.so libssldap50.so

%description
The Mozilla LDAP C SDK is a set of libraries that allow applications
to communicate with LDAP directory servers. These libraries are
derived from the University of Michigan and Netscape LDAP libraries.
They use Mozilla NSPR and NSS for crypto.

%description -l pl
Mozilla LDAP C SDK to zestaw bibliotek pozwalajcych aplikacjom
komunikowa si z serwerami usug katalogowych LDAP. Biblioteki te
wywodz si z bibliotek LDAP University of Michigan i Netscape.
Wykorzystuj biblioteki Mozilla NSPR i NSS do kryptografii.

%package devel
Summary:	Development files and examples for Mozilla LDAP C SDK
Summary(pl):	Pliki programistyczne i przykady dla bibliotek Mozilla LDAP C SDK
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	nspr-devel >= %{nspr_evr}
Requires:	nss-devel >= %{nss_evr}

%description devel
Header and other files for doing development with the Mozilla LDAP C
SDK.

%description devel -l pl
Pliki nagwkowe i inne do tworzenia oprogramowania z uyciem
bibliotek Mozilla LDAP C SDK

%package static
Summary:	Static Mozilla LDAP C SDK libraries
Summary(pl):	Statyczne biblioteki Mozilla LDAP C SDK
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Mozilla LDAP C SDK libraries.

%description static -l pl
Statyczne biblioteki Mozilla LDAP C SDK.

%package tools
Summary:	Tools for the Mozilla LDAP C SDK
Summary(pl):	Narzdzia dla bibliotek Mozilla LDAP C SDK
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description tools
The mozldap-tools package provides the ldapsearch, ldapmodify, and
ldapdelete tools that use the Mozilla LDAP C SDK libraries.

%description tools -l pl
Ten pakiet dostarcza narzdzia ldapsearch, ldapmodify i ldapdelete
wykorzystujce biblioteki Mozilla LDAP C SDK.

%prep
%setup -q -c

%build
cd mozilla/directory/c-sdk
%configure \
%ifarch %{x8664} ia64 ppc64 s390x
	--enable-64bit \
%endif
	--disable-debug \
	--enable-optimize \
	--with-nspr \
	--with-nspr-inc=%{_includedir}/nspr \
	--with-nspr-lib=%{_libdir} \
	--with-nss \
	--with-nss-inc=%{_includedir}/nss \
	--with-nss-lib=%{_libdir} \
	--with-svrcore \
	--with-svrcore-inc=%{_includedir}/svrcore

%ifarch %{x8664} ppc64 ia64 s390x
USE_64=1
export USE_64
%endif

%{__make} \
	BUILDCLU=1 \
	HAVE_SVRCORE=1 \
	BUILD_OPT=1 \
	XCFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir},%{_libdir}}/mozldap

cd mozilla
install dist/lib/lib*ldap*.so $RPM_BUILD_ROOT%{_libdir}
install dist/bin/ldap* $RPM_BUILD_ROOT%{_libdir}/mozldap
install dist/public/ldap/*.h $RPM_BUILD_ROOT%{_includedir}/mozldap
install directory/c-sdk/ldap/libraries/lib*/lib*50.a $RPM_BUILD_ROOT%{_libdir}

install -d $RPM_BUILD_ROOT%{_datadir}/mozldap%{_sysconfdir}
cd directory/c-sdk/ldap
cp -r examples $RPM_BUILD_ROOT%{_datadir}/mozldap
install examples/xmplflt.conf $RPM_BUILD_ROOT%{_datadir}/mozldap%{_sysconfdir}
install libraries/libldap/*.conf $RPM_BUILD_ROOT%{_datadir}/mozldap%{_sysconfdir}
cd -

install -d $RPM_BUILD_ROOT%{_pkgconfigdir}
sed directory/c-sdk/mozldap.pc.in -e "
	s,%%libdir%%,%{_libdir},g
	s,%%prefix%%,%{_prefix},g
	s,%%exec_prefix%%,%{_prefix},g
	s,%%includedir%%,%{_includedir}/mozldap,g
	s,%%NSPR_VERSION%%,%{nspr_version},g
	s,%%NSS_VERSION%%,%{nss_version},g
	s,%%MOZLDAP_VERSION%%,%{version},g
" > $RPM_BUILD_ROOT%{_pkgconfigdir}/mozldap.pc

cd $RPM_BUILD_ROOT%{_libdir}
for file in libssldap50.so libprldap50.so libldap50.so; do
	mv $file $file.%{version}
	ln -s $file.%{version} $file
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libldap50.so.*.*
%attr(755,root,root) %{_libdir}/libprldap50.so.*.*
%attr(755,root,root) %{_libdir}/libssldap50.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/mozldap
%{_pkgconfigdir}/mozldap.pc
%{_datadir}/mozldap

%files static
%defattr(644,root,root,755)
%{_libdir}/libiutil50.a
%{_libdir}/liblber50.a
%{_libdir}/libldap50.a
%{_libdir}/libldif50.a

%files tools
%defattr(644,root,root,755)
%dir %{_libdir}/mozldap
%attr(755,root,root) %{_libdir}/mozldap/ldap*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mozldap.spec,v $
Revision 1.15  2006/09/06 20:56:48  glen
- use own build directory (rather mozilla)

Revision 1.14  2006/06/27 08:45:55  qboosh
- use svrcore-devel from separate spec, release 2

Revision 1.13  2006/06/03 15:40:55  qboosh
- noautoreqdep to avoid catching mozilla* deps

Revision 1.12  2006/06/03 15:17:54  qboosh
- dropped unnecessary major symlinks, soname symlinks (= just .so) removed from -devel
- package svrcore header and static lib as svrcore-devel
- release 1

Revision 1.11  2006/05/11 18:28:09  qboosh
- remaining pl, adjusted Groups

Revision 1.10  2006/05/09 09:48:41  qboosh
- use x8664 macro, missing dir

Revision 1.9  2006/05/02 11:59:49  zbyniu
- more static libs

Revision 1.8  2006/04/30 01:04:24  zbyniu
- subpackage static

Revision 1.7  2006/04/30 00:48:21  zbyniu
- MANY cleanups; I can't see svrcore in pld, build included
- what is version? 5.17 5.1.7?
- now builds, still require some work

Revision 1.6  2006/04/29 21:43:12  glen
- buildrequires should be only in main package

Revision 1.5  2006/04/29 21:40:54  glen
- use different macro as nspr/nss versions are also used in pkgconfig file

Revision 1.4  2006/04/29 21:38:50  glen
- mozldap.pc.in moved to proper place

Revision 1.3  2006/04/29 21:36:42  glen
- cosmetics, cleanups

Revision 1.2  2006/04/29 16:13:25  wolvverine
- correct src

Revision 1.1  2006/04/29 16:03:58  wolvverine
- moved from source and adapterized NFY
